---
document: modulemd
version: 2
data:
  name: maven
  stream: "3.5"
  version: 8060020220419143709
  context: dca7b4a4
  arch: i686
  summary: Java project management and project comprehension tool
  description: >-
    Maven is a software project management and comprehension tool. Based on the concept
    of a project object model (POM), Maven can manage a project's build, reporting
    and documentation from a central piece of information.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      javapackages-tools: [201801]
      platform: [el8]
    requires:
      platform: [el8]
  profiles:
    common:
      rpms:
      - maven
  api:
    rpms:
    - maven
  filter:
    rpms:
    - aopalliance-javadoc
    - apache-commons-cli-javadoc
    - apache-commons-codec-javadoc
    - apache-commons-io-javadoc
    - apache-commons-lang3-javadoc
    - apache-commons-logging-javadoc
    - atinject-javadoc
    - atinject-tck
    - cdi-api-javadoc
    - geronimo-annotation-javadoc
    - glassfish-el
    - glassfish-el-javadoc
    - google-guice-javadoc
    - guava20-javadoc
    - guava20-testlib
    - guice-assistedinject
    - guice-bom
    - guice-extensions
    - guice-grapher
    - guice-jmx
    - guice-jndi
    - guice-multibindings
    - guice-parent
    - guice-servlet
    - guice-testlib
    - guice-throwingproviders
    - hawtjni
    - hawtjni-javadoc
    - httpcomponents-client-cache
    - httpcomponents-client-javadoc
    - httpcomponents-core-javadoc
    - jansi-javadoc
    - jansi-native-javadoc
    - jboss-interceptors-1.2-api-javadoc
    - jsoup-javadoc
    - jul-to-slf4j
    - log4j-over-slf4j
    - maven-hawtjni-plugin
    - maven-javadoc
    - maven-resolver
    - maven-resolver-javadoc
    - maven-resolver-test-util
    - maven-resolver-transport-classpath
    - maven-resolver-transport-file
    - maven-resolver-transport-http
    - maven-shared-utils-javadoc
    - maven-wagon
    - maven-wagon-ftp
    - maven-wagon-http-lightweight
    - maven-wagon-javadoc
    - maven-wagon-providers
    - plexus-cipher-javadoc
    - plexus-classworlds-javadoc
    - plexus-containers
    - plexus-containers-component-javadoc
    - plexus-containers-component-metadata
    - plexus-containers-container-default
    - plexus-containers-javadoc
    - plexus-interpolation-javadoc
    - plexus-sec-dispatcher-javadoc
    - plexus-utils-javadoc
    - sisu-javadoc
    - slf4j-ext
    - slf4j-javadoc
    - slf4j-jcl
    - slf4j-jdk14
    - slf4j-log4j12
    - slf4j-manual
    - slf4j-sources
  buildopts:
    rpms:
      macros: >
        %_with_xmvn_javadoc 1

        %_without_asciidoc 1

        %_without_avalon 1

        %_without_bouncycastle 1

        %_without_cython 1

        %_without_dafsa 1

        %_without_desktop 1

        %_without_dom4j 1

        %_without_doxygen 1

        %_without_dtd 1

        %_without_eclipse 1

        %_without_ehcache 1

        %_without_emacs 1

        %_without_equinox 1

        %_without_fop 1

        %_without_ftp 1

        %_without_gradle 1

        %_without_groovy 1

        %_without_hadoop 1

        %_without_hsqldb 1

        %_without_itext 1

        %_without_jackson 1

        %_without_jmh 1

        %_without_jna 1

        %_without_jpa 1

        %_without_junit5 1

        %_without_logback 1

        %_without_markdown 1

        %_without_memcached 1

        %_without_memoryfilesystem 1

        %_without_obr 1

        %_without_python 1

        %_without_reporting 1

        %_without_scm 1

        %_without_snakeyaml 1

        %_without_snappy 1

        %_without_spring 1

        %_without_ssh 1

        %_without_testlib 1

        %_without_vfs 1
  components:
    rpms:
      aopalliance:
        rationale: 'Runtime dependency of google-guice, maven.

          '
        ref: e511c3ea5ea8348a4e5b74f46660d1e9861f5d81
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      apache-commons-cli:
        rationale: 'Runtime dependency of maven.

          '
        ref: 8fa89c9eacaeb80651906a3e958076c91580f8c2
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      apache-commons-codec:
        rationale: 'Runtime dependency of httpcomponents-client, maven.

          '
        ref: 2fcc9278c7bb44663df296f5284252952f2baf93
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      apache-commons-io:
        rationale: "Runtime dependency of maven, maven-shared-utils,\n     maven-wagon.\n"
        ref: 130e21423a83338f0da6543e8926a0747328cfb9
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      apache-commons-lang3:
        rationale: 'Runtime dependency of maven.

          '
        ref: 59e26f5be1d91911c51f8670ed4177ab176c00d8
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      apache-commons-logging:
        rationale: 'Runtime dependency of httpcomponents-client, maven.

          '
        ref: 7b7bd3500bd9bc4b561c25d925e6c9b7b953f412
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      atinject:
        rationale: 'Runtime dependency of cdi-api, google-guice, maven.

          '
        ref: 9b379f1c955b23f34d7a7c232e1cfb7aebc5a961
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      cdi-api:
        rationale: 'Runtime dependency of maven, sisu.

          '
        ref: 8e4adafdf19670b967471ad0a3416dd193af5d15
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      geronimo-annotation:
        rationale: 'Runtime dependency of maven.

          '
        ref: fa11e529df93318a7ea8d20f1df9132cd37c0e68
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      glassfish-el:
        rationale: 'Runtime dependency of cdi-api.

          '
        ref: d7becfa1cb22b0dc4776bf16e5f617fc05b582cd
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      google-guice:
        rationale: 'Runtime dependency of maven.

          '
        ref: f64fd885597bbd63ec96707e2b8f6c6fec1055ea
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      guava20:
        rationale: 'Runtime dependency of google-guice, maven.

          '
        ref: 69606aa25a9744db015924802f572c8bc99c2e35
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      hawtjni:
        rationale: 'Runtime dependency of jansi, jansi-native, maven.

          '
        ref: 0af1342b572fa90e93b9ff5958c8e067cef1a71f
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      httpcomponents-client:
        rationale: 'Runtime dependency of maven, maven-wagon.

          '
        ref: e9a9c6d99de61718a2fde7fde3d4da7a7c49730e
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      httpcomponents-core:
        rationale: "Runtime dependency of httpcomponents-client, maven,\n     maven-wagon.\n"
        ref: 0bfe89efa94a21fb16bb3f63ff1f6bed40089f80
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      jansi:
        rationale: 'Runtime dependency of maven.

          '
        ref: 4078b4c52212686455b7ee2680f89b3e8c33b59b
        buildorder: 30
        arches: [aarch64, i686, ppc64le, x86_64]
      jansi-native:
        rationale: 'Runtime dependency of jansi, maven.

          '
        ref: 52360ea3e552d543b857674137ac92602c815943
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      jboss-interceptors-1.2-api:
        rationale: 'Runtime dependency of cdi-api.

          '
        ref: 93efce151f6efe1ec691a2588077759e38fd6a7f
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      jsoup:
        rationale: 'Runtime dependency of maven-wagon.

          '
        ref: a59898934b951808bffbcba577417cbf41c6350a
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      maven:
        rationale: 'Module API.

          '
        ref: d416436aea67738113d18d4f944ab5e83a5e2eb7
        buildorder: 50
        arches: [aarch64, i686, ppc64le, x86_64]
      maven-resolver:
        rationale: 'Runtime dependency of maven.

          '
        ref: e0d873434ad58b2826c4de10991b5338ab413de2
        buildorder: 40
        arches: [aarch64, i686, ppc64le, x86_64]
      maven-shared-utils:
        rationale: 'Runtime dependency of maven.

          '
        ref: ed6389b14e81abb5488688726d27067090ad826f
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      maven-wagon:
        rationale: 'Runtime dependency of maven, maven-resolver.

          '
        ref: 3183a8a8d3f4f149b0da0389f7ba7485a4dc422b
        buildorder: 30
        arches: [aarch64, i686, ppc64le, x86_64]
      plexus-cipher:
        rationale: 'Runtime dependency of maven, plexus-sec-dispatcher.

          '
        ref: 04ab3ffbda1514eb03d5e0ed5a1b6a8e3913da5a
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      plexus-classworlds:
        rationale: 'Runtime dependency of maven, sisu.

          '
        ref: 1882d157e901ac102dc2d52444db5572c5e10c9c
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      plexus-containers:
        rationale: 'Runtime dependency of maven, sisu.

          '
        ref: 5bf328c612ca454bf6d7f3132d4c905e7506a4ae
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      plexus-interpolation:
        rationale: 'Runtime dependency of maven.

          '
        ref: b4787f5b937a05fb8272801b55ac6750d365846e
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      plexus-sec-dispatcher:
        rationale: 'Runtime dependency of maven.

          '
        ref: 80b1b960ed7a95b57a02529273ceffc69f4b521e
        buildorder: 20
        arches: [aarch64, i686, ppc64le, x86_64]
      plexus-utils:
        rationale: "Runtime dependency of maven, maven-wagon,\n     plexus-sec-dispatcher,
          sisu.\n"
        ref: f8ed16632299771e57c2a30484a0e114dcd0ca06
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
      sisu:
        rationale: 'Runtime dependency of maven.

          '
        ref: 4587af57eb277b29a964ff63a49996a0b487d69e
        buildorder: 30
        arches: [aarch64, i686, ppc64le, x86_64]
      slf4j:
        rationale: 'Runtime dependency of maven, maven-wagon.

          '
        ref: 82851228a8b4f375c5d62394c7a9e22bdc994357
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - aopalliance-0:1.0-17.module_el8.6.0+2752+f1f3449e.noarch
    - aopalliance-0:1.0-17.module_el8.6.0+2752+f1f3449e.src
    - apache-commons-cli-0:1.4-4.module_el8.6.0+2752+f1f3449e.noarch
    - apache-commons-cli-0:1.4-4.module_el8.6.0+2752+f1f3449e.src
    - apache-commons-codec-0:1.11-3.module_el8.6.0+2752+f1f3449e.noarch
    - apache-commons-codec-0:1.11-3.module_el8.6.0+2752+f1f3449e.src
    - apache-commons-io-1:2.6-3.module_el8.6.0+2752+f1f3449e.noarch
    - apache-commons-io-1:2.6-3.module_el8.6.0+2752+f1f3449e.src
    - apache-commons-lang3-0:3.7-3.module_el8.6.0+2752+f1f3449e.noarch
    - apache-commons-lang3-0:3.7-3.module_el8.6.0+2752+f1f3449e.src
    - apache-commons-logging-0:1.2-13.module_el8.6.0+2752+f1f3449e.noarch
    - apache-commons-logging-0:1.2-13.module_el8.6.0+2752+f1f3449e.src
    - atinject-0:1-28.20100611svn86.module_el8.6.0+2752+f1f3449e.noarch
    - atinject-0:1-28.20100611svn86.module_el8.6.0+2752+f1f3449e.src
    - cdi-api-0:1.2-8.module_el8.6.0+2752+f1f3449e.noarch
    - cdi-api-0:1.2-8.module_el8.6.0+2752+f1f3449e.src
    - geronimo-annotation-0:1.0-23.module_el8.6.0+2752+f1f3449e.noarch
    - geronimo-annotation-0:1.0-23.module_el8.6.0+2752+f1f3449e.src
    - google-guice-0:4.1-11.module_el8.6.0+2752+f1f3449e.noarch
    - google-guice-0:4.1-11.module_el8.6.0+2752+f1f3449e.src
    - guava20-0:20.0-8.module_el8.6.0+2752+f1f3449e.noarch
    - guava20-0:20.0-8.module_el8.6.0+2752+f1f3449e.src
    - httpcomponents-client-0:4.5.5-5.module_el8.6.0+2752+f1f3449e.noarch
    - httpcomponents-client-0:4.5.5-5.module_el8.6.0+2752+f1f3449e.src
    - httpcomponents-core-0:4.4.10-3.module_el8.6.0+2752+f1f3449e.noarch
    - httpcomponents-core-0:4.4.10-3.module_el8.6.0+2752+f1f3449e.src
    - jansi-0:1.17.1-1.module_el8.6.0+2752+f1f3449e.noarch
    - jansi-0:1.17.1-1.module_el8.6.0+2752+f1f3449e.src
    - jansi-native-0:1.7-7.module_el8.6.0+2752+f1f3449e.i686
    - jansi-native-0:1.7-7.module_el8.6.0+2752+f1f3449e.src
    - jboss-interceptors-1.2-api-0:1.0.0-8.module_el8.6.0+2752+f1f3449e.noarch
    - jboss-interceptors-1.2-api-0:1.0.0-8.module_el8.6.0+2752+f1f3449e.src
    - jcl-over-slf4j-0:1.7.25-4.module_el8.6.0+2752+f1f3449e.noarch
    - jsoup-0:1.11.3-3.module_el8.6.0+2752+f1f3449e.noarch
    - jsoup-0:1.11.3-3.module_el8.6.0+2752+f1f3449e.src
    - maven-1:3.5.4-5.module_el8.6.0+2752+f1f3449e.noarch
    - maven-1:3.5.4-5.module_el8.6.0+2752+f1f3449e.src
    - maven-lib-1:3.5.4-5.module_el8.6.0+2752+f1f3449e.noarch
    - maven-shared-utils-0:3.2.1-0.1.module_el8.6.0+2752+f1f3449e.noarch
    - maven-shared-utils-0:3.2.1-0.1.module_el8.6.0+2752+f1f3449e.src
    - plexus-cipher-0:1.7-14.module_el8.6.0+2752+f1f3449e.noarch
    - plexus-cipher-0:1.7-14.module_el8.6.0+2752+f1f3449e.src
    - plexus-classworlds-0:2.5.2-9.module_el8.6.0+2752+f1f3449e.noarch
    - plexus-classworlds-0:2.5.2-9.module_el8.6.0+2752+f1f3449e.src
    - plexus-interpolation-0:1.22-9.module_el8.6.0+2752+f1f3449e.noarch
    - plexus-interpolation-0:1.22-9.module_el8.6.0+2752+f1f3449e.src
    - plexus-sec-dispatcher-0:1.4-26.module_el8.6.0+2752+f1f3449e.noarch
    - plexus-sec-dispatcher-0:1.4-26.module_el8.6.0+2752+f1f3449e.src
    - plexus-utils-0:3.1.0-3.module_el8.6.0+2752+f1f3449e.noarch
    - plexus-utils-0:3.1.0-3.module_el8.6.0+2752+f1f3449e.src
    - sisu-1:0.3.3-6.module_el8.6.0+2752+f1f3449e.src
    - sisu-inject-1:0.3.3-6.module_el8.6.0+2752+f1f3449e.noarch
    - sisu-plexus-1:0.3.3-6.module_el8.6.0+2752+f1f3449e.noarch
    - slf4j-0:1.7.25-4.module_el8.6.0+2752+f1f3449e.noarch
    - slf4j-0:1.7.25-4.module_el8.6.0+2752+f1f3449e.src
...
